## com.baidubce
Enum BceServiceException.ErrorType

    java.lang.Object
      java.lang.Enum<BceServiceException.ErrorType>
          com.baidubce.BceServiceException.ErrorType

All Implemented Interfaces:
  Serializable, Comparable<BceServiceException.ErrorType>

Enclosing class:
  BceServiceException

    public static enum BceServiceException.ErrorType

extends Enum<BceServiceException.ErrorType>

Indicates who is responsible (if known) for a failed request.

Enum Constant Summary
`Client`
`Service`
`Unknown`

Method Summary
`static BceServiceException.ErrorType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BceServiceException.ErrorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Client

    public static final BceServiceException.ErrorType Client

### Service

    public static final BceServiceException.ErrorType Service

### Unknown

    public static final BceServiceException.ErrorType Unknown

Method Detail

### values

    public static BceServiceException.ErrorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BceServiceException.ErrorType c : BceServiceException.ErrorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BceServiceException.ErrorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2016. All rights reserved.